## python-mapbox-earcut 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.29)
project(mapbox_earcut LANGUAGES CXX)

set(PYBIND11_NEWPYTHON ON)
find_package(pybind11 CONFIG REQUIRED)

pybind11_add_module(mapbox_earcut src/main.cpp)
target_include_directories(mapbox_earcut PRIVATE include)
install(TARGETS mapbox_earcut DESTINATION .)

## python-mapbox-earcut 1.0.0

=== debian/changelog ===
python-mapbox-earcut (1.0.0-2) unstable; urgency=medium

  * Source only upload.

 -- Timo Röhling <roehling@debian.org>  Thu, 07 Jul 2022 22:44:40 +0200

python-mapbox-earcut (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #1014075)

 -- Timo Röhling <roehling@debian.org>  Wed, 29 Jun 2022 23:24:00 +0200

=== debian/control ===
Source: python-mapbox-earcut
Section: python
Priority: optional
Maintainer: Debian Math Team <team+math@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-numpy3,
 pybind11-dev,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-numpy,
 python3-pybind11,
 python3-pytest <!nocheck>,
 python3-setuptools,
Homepage: https://github.com/skogler/mapbox_earcut_python
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/math-team/python-mapbox-earcut.git
Vcs-Browser: https://salsa.debian.org/math-team/python-mapbox-earcut
Description: Python bindings for the Mapbox Earcut library
 The Mapbox Earcut library implements a modified ear slicing algorithm,
 optimized by z-order curve hashing and extended to handle holes, twisted
 polygons, degeneracies and self-intersections in a way that doesn't guarantee
 correctness of triangulation, but attempts to always produce acceptable
 results for practical data like geographical shapes.

Package: python3-mapbox-earcut
Architecture: any
Multi-Arch: same
Provides:
 ${python3:Provides},
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package provides Python 3 bindings.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = mapbox-earcut

%:
	dh $@ --buildsystem=pybuild

## python-mapbox-earcut 1.0.1

=== debian/changelog ===
python-mapbox-earcut (1.0.1-3build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:55:34 +0000

python-mapbox-earcut (1.0.1-3build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:26:28 +0100

python-mapbox-earcut (1.0.1-3) unstable; urgency=medium

  * Make package cross-buildable
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Sun, 18 Jun 2023 22:54:00 +0200

python-mapbox-earcut (1.0.1-2) unstable; urgency=medium

  * Use the shiny new pybuild-autopkgtest

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Dec 2022 12:40:26 +0100

python-mapbox-earcut (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * Enable hardening flags

 -- Timo Röhling <roehling@debian.org>  Sat, 03 Dec 2022 21:06:13 +0100

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,20 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-numpy3,
+ libpython3-all-dev,
  pybind11-dev,
  pybuild-plugin-pyproject,
- python3-all-dev,
+ python3-all-dev:any,
  python3-numpy,
  python3-pybind11,
  python3-pytest <!nocheck>,
  python3-setuptools,
 Homepage: https://github.com/skogler/mapbox_earcut_python
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/math-team/python-mapbox-earcut.git
 Vcs-Browser: https://salsa.debian.org/math-team/python-mapbox-earcut
+Testsuite: autopkgtest-pkg-pybuild
 Description: Python bindings for the Mapbox Earcut library
  The Mapbox Earcut library implements a modified ear slicing algorithm,
  optimized by z-order curve hashing and extended to handle holes, twisted

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = mapbox-earcut

%:
	dh $@ --buildsystem=pybuild

## python-mapbox-earcut 1.0.2

=== debian/changelog ===
python-mapbox-earcut (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Wed, 28 Aug 2024 00:02:21 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-pytest <!nocheck>,
  python3-setuptools,
 Homepage: https://github.com/skogler/mapbox_earcut_python
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/math-team/python-mapbox-earcut.git
 Vcs-Browser: https://salsa.debian.org/math-team/python-mapbox-earcut

## python-mapbox-earcut 1.0.3

=== debian/changelog ===
python-mapbox-earcut (1.0.3-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:45:50 +0000

python-mapbox-earcut (1.0.3-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:09:43 +0000

python-mapbox-earcut (1.0.3-1build1) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 11:44:36 +0000

python-mapbox-earcut (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
  * Wrap and sort Debian package files
  * Migrate from setuptools to scikit-build

 -- Timo Röhling <roehling@debian.org>  Tue, 21 Jan 2025 10:25:05 +0100

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1% \
 https://github.com/skogler/mapbox_earcut_python/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-mapbox-earcut 2.0.0

=== debian/changelog ===
python-mapbox-earcut (2.0.0-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 2.0.0
  * Migrate from pybind11 to nanobind
  * Bump Standards-Version to 4.7.2
  * Drop Multi-Arch: same from binary package

 -- Timo Röhling <roehling@debian.org>  Wed, 10 Dec 2025 13:02:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,23 @@
 Section: python
 Priority: optional
 Maintainer: Debian Math Team <team+math@tracker.debian.org>
-Uploaders: Timo Röhling <roehling@debian.org>
+Uploaders:
+ Timo Röhling <roehling@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-numpy3,
  dh-sequence-python3,
- dh-sequence-numpy3,
+ cmake,
  libpython3-all-dev,
  pybind11-dev,
  pybuild-plugin-pyproject,
  python3-all-dev:any,
+ python3-nanobind,
  python3-numpy,
- python3-pybind11,
  python3-pytest <!nocheck>,
- python3-setuptools,
+ python3-scikit-build-core,
 Homepage: https://github.com/skogler/mapbox_earcut_python
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/math-team/python-mapbox-earcut.git
 Vcs-Browser: https://salsa.debian.org/math-team/python-mapbox-earcut
@@ -30,7 +32,6 @@
 
 Package: python3-mapbox-earcut
 Architecture: any
-Multi-Arch: same
 Provides:
  ${python3:Provides},
 Depends:

=== debian/watch ===
Version: 5

Template: Github
Owner: skogler
Project: mapbox_earcut_python
